]> Cypherpunks.ru repositories - goredo.git/blobdiff - t/goredo-failed-build.t
No .rec required for recursive logs
[goredo.git] / t / goredo-failed-build.t
diff --git a/t/goredo-failed-build.t b/t/goredo-failed-build.t
new file mode 100755 (executable)
index 0000000..0643101
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+testname=`basename "$0"`
+test_description="Check that failed build is still OOD target"
+. $SHARNESS_TEST_SRCDIR/sharness.sh
+
+tmp=`mktemp -d`
+trap "rm -fr $tmp" HUP PIPE INT QUIT TERM EXIT
+cd $tmp
+
+echo exit 1 > bar.do
+echo redo-ifchange bar > foo.do
+export REDO_NO_PROGRESS=1
+test_expect_success "first fail" 'redo foo ; [ $? = 1 ]'
+test_expect_success "second fail" 'redo foo ; [ $? = 1 ]'
+
+test_done